Package net.shibboleth.idp.attribute.resolver.spring.dc.impl

# Class ComputedIdDataConnectorParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser
net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser
net.shibboleth.idp.attribute.resolver.spring.dc.impl.PairwiseIdDataConnectorParser
net.shibboleth.idp.attribute.resolver.spring.dc.impl.ComputedIdDataConnectorParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `StoredIdDataConnectorParser`

public class ComputedIdDataConnectorParser extends PairwiseIdDataConnectorParser
Spring bean definition parser for configuring ComputedIdDataConnector.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private final String`
`servletRequestSupplier`
ID of system bean used to access servlet request.
`static final QName`
`TYPE_NAME`
Schema type - resolver.

### Fields inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser

`ATTR_EXPORT_NAMES, ATTR_FAIL_FAST, ATTR_NORETRYDELAY, ELEMENT_NAME, FAIL_FAST_DEFAULT, FAILOVER_DATA_CONNECTOR_ELEMENT_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`ComputedIdDataConnectorParser()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected BeanDefinition`
`doComputedPairwiseIdStore(Element config, ParserContext parserContext)`
Parse the config and define a bean for a `ComputedPairwiseIdStore`.
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder)`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.impl.PairwiseIdDataConnectorParser

`doParse, getBeanClass, getLogPrefix`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser

`failOnDependencies, getActivationCondition, getDefinitionId, warnOnDependencies`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type - resolver.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### servletRequestSupplier

@Nullable private final String servletRequestSupplier
ID of system bean used to access servlet request.

## Constructor Details

### ComputedIdDataConnectorParser

public ComputedIdDataConnectorParser()
Constructor.

## Method Details

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `PairwiseIdDataConnectorParser`

### doComputedPairwiseIdStore

@Nonnull protected BeanDefinition doComputedPairwiseIdStore(@Nonnull Element config, @Nonnull ParserContext parserContext)
Parse the config and define a bean for a `ComputedPairwiseIdStore`.

Parameters:
  `config` - the XML element being parsed
  `parserContext` - the object encapsulating the current state of the parsing process
Returns:
  bean definition for the store object to inject